%define with_libstdc_preview 1 

Name:		scim-chewing
Version:	0.2.1
Release:	5.2
Summary:	Chewing Chinese input method for SCIM

License:	GPL
Url:		http://chewing.csie.net/
Group:		System Environment/Libraries
Source:		http://chewing.csie.net/download/scim/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	scim-devel, libchewing-devel >= 0.2.7
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim
Obsoletes:	iiimf-le-xcin <= 0.1.10

%description
This package provides Chewing Chinese input method for SCIM.


%prep
%setup -q


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/SetupUI/chewing-imengine-setup.so
%{_libdir}/scim-1.0/*/IMEngine/chewing.so
%{_datadir}/scim/icons/scim-chewing.png


%changelog
* Thu May 11 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-5.2
- rebuild to fix deps on ppc (#188443)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.1-5.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-5
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against newer lib
- update filelist since module dir is now api-versioned

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-4
- rebuild with gcc-4.1

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-3
- obsoletes iiimf-le-xcin for upgrades (#173071)

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- require scim explicitly

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- initial build for Fedora Core
- version 0.2.1 buildrequires libchewing 0.2.7 or later
- spec file cleanup

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- rebuild against scim-1.3.1

* Tue Jun 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- initial build
